petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESCompositeGetSNES

Gets one of the SNES objects in the composite SNES.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESCompositeGetSNES(SNES snes,PetscInt n,SNES *subsnes)

Not Collective

### Input Parameter

| snes | - the preconditioner context
| n | - the number of the snes requested

### Output Parameters

subsnes -the SNES requested

### Keywords

SNES, get, composite preconditioner, sub preconditioner

### See Also

SNESCompositeAddSNES()

Level:Developer
Location:src/snes/impls/composite/snescomposite.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages